Xerox Phaser 6110 :  foo2zjs - foo2hp - foo2xqx - foo2lava - foo2qpdl - foo2oak
Support for linux printer drivers
The fastest message board... ever.
 
Ubuntu 9.10 Beta - Ghostscript 8.70. [solved]
Posted by: TheOldFellow ()
Date: October 09, 2009 12:23PM

This release of Ubuntu uses Ghostscript 8.70. Upgrading to it today, and rebuilding foo2zjs for foo2qpdl, I get the old symptoms of not colour printing. Not being technical in the right areas I don't know where to look for helpful logs.



Edited 1 time(s). Last edit at 10/09/2009 05:31PM by rickrich.

Options: ReplyQuote
Re: Ubuntu 9.10 Beta - Ghostscript 8.70.
Posted by: rickrich ()
Date: October 09, 2009 01:04PM

$ cd foo2zjs
$ foo2qpdl-wrapper ~/testpage.ps | qpdldecode  | grep MODE
@PJL SET COLORMODE=MONO
$ foo2qpdl-wrapper -c ~/testpage.ps | qpdldecode  | grep MODE
@PJL SET COLORMODE=COLOR
$ gs --version
8.70
Works here on Fedora 12. What does this say:
$ foo2qpdl-wrapper -c ~/testpage.ps > xxx.prn
$ ls -l xxx.prn
-rw-rw-r-- 1 rick rick 1663215 2009-10-09 12:00 xxx.prn
???

NOTE: Alpha, Beta releases are NOT SUPPORTED (e.g. Ubuntu 9.10).

Options: ReplyQuote
Re: Ubuntu 9.10 Beta - Ghostscript 8.70.
Posted by: TheOldFellow ()
Date: October 09, 2009 05:05PM

richard@rad1:~/foo2zjs$ foo2qpdl-wrapper -c ./testpage.ps | qpdldecode | grep MODE
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
@PJL SET COLORMODE=COLOR
richard@rad1:~/foo2zjs$ foo2qpdl-wrapper -c ~/testpage.ps > xxx.prn
/usr/bin/foo2qpdl-wrapper: 268: cannot open /home/richard/testpage.ps: No such file
richard@rad1:~/foo2zjs$ foo2qpdl-wrapper -c ./testpage.ps > xxx.prn
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
pcache: unable to open '/home/richard/.ghostscript/cache/gs_cache'
richard@rad1:~/foo2zjs$ ls -l xxx.prn
-rw-r--r-- 1 richard richard 1126216 2009-10-09 22:02 xxx.prn
richard@rad1:~/foo2zjs$


I'm not asking for support. If it doesn't work, I'll wait until the final release. But it's polite to tell developers of potential problems.

I hope this is helping, if it isn't I'll shut up.

R.

Options: ReplyQuote
Re: Ubuntu 9.10 Beta - Ghostscript 8.70.
Posted by: TheOldFellow ()
Date: October 09, 2009 05:09PM

I withdraw the report. On further investigation it is only a set of my files that don't print (they used to print fine under Ubuntu 9.04!) in colour.

Sorry for the noise.

R.

Options: ReplyQuote


Sorry, only registered users may post in this forum.
This forum powered by Phorum.